##### basic_serial_port::basic_serial_port (2 of 9 overloads)

Construct a `basic_serial_port` without opening it.

    template<
        typename ExecutionContext>
    basic_serial_port(
        ExecutionContext & context,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value, basic_serial_port >::type *  = 0);

This constructor creates a serial port without opening it.

###### Parameters

context

  An execution context which provides the I/O executor that the serial port will use, by default, to dispatch handlers for any asynchronous operations performed on the serial port.